.thumbnail {
    width: 100%;
}

.video-author,
.video-stats {
    font-size: 12px;
    color: rgb(96, 96, 96);
}

.video-author {
    margin-bottom: 4px;
}

.video-title {
    margin-top: 0;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    margin-bottom: 10px;
}

.profile-picture {
    width: 36px; 
    border-radius: 50px;
}

.thumbnail-row {
    margin-bottom: 8 px;
    position: relative;
}

.video-info-grid{
    display: grid;
    grid-template-columns: 50px 1fr;
}

.video-grid{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 16px;
    row-gap: 40px;
}

@media (max-width: 750px) {
    .video-grid {
        grid-template-columns: 1fr 1fr;
    }
}

@media (min-width: 751px) and (max-width: 999px) {
    .video-grid {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

@media (min-width: 1000px) {
    .video-grid {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.video-time{
     background-color: black;
     color: white;
     position: absolute;
     bottom: 8px;
     right: 5px; 
     font-size: 12px;
     font-weight: 500;
     padding: 4px;
     border-radius: 2px;
}